<?php
namespace PayPal\Braintree\Block\Customer\PayPal\VaultTokenRenderer;

/**
 * Interceptor class for @see \PayPal\Braintree\Block\Customer\PayPal\VaultTokenRenderer
 */
class Interceptor extends \PayPal\Braintree\Block\Customer\PayPal\VaultTokenRenderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \PayPal\Braintree\Gateway\Config\PayPal\Config $config, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $config, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
